Alerts - List For Scope

Возвращает оповещения для области ресурсов.

GET https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleManagementAlerts?api-version=2022-08-01-preview

Параметры URI

Имя В Обязательно Тип Описание
scope
path True

string

Полностью квалифицированный идентификатор менеджера ресурсов Azure для ресурса.

api-version
query True

string

minLength: 1

Версия API, используемая для этой операции.

Ответы

Имя Тип Описание
200 OK

AlertListResult

Операция Azure успешно завершена.

Other Status Codes

Microsoft.Common.CloudError

Непредвиденное сообщение об ошибке.

Безопасность

azure_auth

Azure Active Directory OAuth2 Flow.

Тип: oauth2
Flow: implicit
URL-адрес авторизации: https://login.microsoftonline.com/common/oauth2/authorize

Области

Имя Описание
user_impersonation олицетворения учетной записи пользователя

Примеры

GetAlerts

Образец запроса

GET https://management.azure.com/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts?api-version=2022-08-01-preview

Пример ответа

{
  "value": [
    {
      "name": "TooManyPermanentOwnersAssignedToResource",
      "type": "Microsoft.Authorization/roleManagementAlerts",
      "id": "/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts/TooManyPermanentOwnersAssignedToResource",
      "properties": {
        "alertConfiguration": {
          "name": "TooManyPermanentOwnersAssignedToResource",
          "type": "Microsoft.Authorization/roleManagementAlertConfigurations",
          "id": "/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlertConfigurations/TooManyPermanentOwnersAssignedToResource",
          "properties": {
            "alertConfigurationType": "TooManyPermanentOwnersAssignedToResourceAlertConfiguration",
            "alertDefinitionId": "TooManyPermanentOwnersAssignedToResource",
            "isEnabled": true,
            "scope": "subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f",
            "thresholdNumberOfPermanentOwners": 10,
            "thresholdPercentageOfPermanentOwnersOutOfAllOwners": 10
          }
        },
        "alertDefinition": {
          "name": "TooManyPermanentOwnersAssignedToResource",
          "type": "Microsoft.Authorization/roleManagementAlertDefinitions",
          "id": "/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlertDefinitions/TooManyPermanentOwnersAssignedToResource",
          "properties": {
            "description": "The number of users set to never expire is too high. To enhance the security of your resources, we recommend requiring activation for role use. Take a moment to review the list of users, and suggested changes here.",
            "displayName": "Too many permanent owners assigned to a resource",
            "howToPrevent": "Enable “Activation Required” in the role settings menu. This will ensure newly added users must activate their role.",
            "isConfigurable": true,
            "isRemediatable": true,
            "mitigationSteps": "To mitigate this issue, require the user to activate the role before use.",
            "scope": "subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f",
            "securityImpact": "Providing users permanent access in a role may leave resources vulnerable to accidental or malicious activity.",
            "severityLevel": "Medium"
          }
        },
        "alertIncidents": [
          {
            "name": "a9f38501-74ec-43ea-8663-6c538602150d",
            "type": "Microsoft.Authorization/roleManagementAlerts/alertIncidents",
            "id": "/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts/TooManyPermanentOwnersAssignedToResource/alertIncidents/a9f38501-74ec-43ea-8663-6c538602150d",
            "properties": {
              "alertIncidentType": "TooManyPermanentOwnersAssignedToResourceAlertIncident",
              "assigneeName": "testUser",
              "assigneeType": "User"
            }
          }
        ],
        "incidentCount": 1,
        "isActive": true,
        "lastModifiedDateTime": "2022-04-05T03:04:06.467+00:00",
        "lastScannedDateTime": "2022-04-06T18:25:00.38+00:00",
        "scope": "subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f"
      }
    },
    {
      "name": "TooManyOwnersAssignedToResource",
      "type": "Microsoft.Authorization/roleManagementAlerts",
      "id": "/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts/TooManyOwnersAssignedToResource",
      "properties": {
        "alertConfiguration": {
          "name": "TooManyOwnersAssignedToResource",
          "type": "Microsoft.Authorization/roleManagementAlertConfigurations",
          "id": "/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlertConfigurations/TooManyOwnersAssignedToResource",
          "properties": {
            "alertConfigurationType": "TooManyOwnersAssignedToResourceAlertConfiguration",
            "alertDefinitionId": "TooManyOwnersAssignedToResource",
            "isEnabled": true,
            "scope": "subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f",
            "thresholdNumberOfOwners": 2,
            "thresholdPercentageOfOwnersOutOfAllRoleMembers": 3
          }
        },
        "alertDefinition": {
          "name": "TooManyOwnersAssignedToResource",
          "type": "Microsoft.Authorization/roleManagementAlertDefinitions",
          "id": "/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlertDefinitions/TooManyOwnersAssignedToResource",
          "properties": {
            "description": "The number of users with the Owner role is too high. We recommend assigning these individuals to less privileged roles or roles more suitable to their daily needs. Take a moment to review the current assignments, and suggested changes here.",
            "displayName": "Too many owners assigned to a resource",
            "howToPrevent": "Choose a role that provides the fewest privileges necessary for a user or group to complete their tasks.",
            "isConfigurable": true,
            "isRemediatable": true,
            "mitigationSteps": "To mitigate this issue, reduce the number of users in the Owner role. Review the list of users in the list, and reassign them to a less privileged role such as Contributor.",
            "scope": "subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f",
            "securityImpact": "As the number of users with the owner role increases, so does the potential for malicious or mistaken actions affecting your resource.",
            "severityLevel": "Medium"
          }
        },
        "alertIncidents": [
          {
            "name": "a9f38501-74ec-43ea-8663-6c538602150d",
            "type": "Microsoft.Authorization/roleManagementAlerts/alertIncidents",
            "id": "/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts/TooManyOwnersAssignedToResource/alertIncidents/a9f38501-74ec-43ea-8663-6c538602150d",
            "properties": {
              "alertIncidentType": "TooManyOwnersAssignedToResourceAlertIncident",
              "assigneeName": "testUser",
              "assigneeType": "User"
            }
          }
        ],
        "incidentCount": 1,
        "isActive": true,
        "lastModifiedDateTime": "2022-04-05T03:04:06.467+00:00",
        "lastScannedDateTime": "2022-04-06T18:25:00.38+00:00",
        "scope": "subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f"
      }
    }
  ]
}

Определения

Имя Описание
Alert

Оповещение.

AlertConfiguration

Конфигурация оповещений.

AlertDefinition

Определение оповещений

AlertIncident

Инцидент оповещений

AlertListResult

Реакция на операцию «Список оповещений».

AzureRolesAssignedOutsidePimAlertConfigurationProperties

Роли Azure присваивали внешние свойства конфигурации PIM-оповещений.

AzureRolesAssignedOutsidePimAlertIncidentProperties

Azure roles назначают свойства инцидентов вне PIM alert.

createdByType

Тип удостоверения, создавшего ресурс.

DuplicateRoleCreatedAlertConfigurationProperties

Дублирующая роль создавала конфигурацию оповещений.

DuplicateRoleCreatedAlertIncidentProperties

Дублирующая роль создала свойства инцидента оповещений.

Microsoft.Common.CloudError

Ответ на ошибку службы.

Microsoft.Common.CloudErrorBody

Ответ на ошибку службы.

SeverityLevel

Уровень серьезности оповещения.

systemData

Метаданные, относящиеся к созданию и последнему изменении ресурса.

TooManyOwnersAssignedToResourceAlertConfigurationProperties

Слишком много владельцев назначены на свойства конфигурации оповещения ресурсов.

TooManyOwnersAssignedToResourceAlertIncidentProperties

Слишком много владельцев назначены на оповещение о происшествии объектов.

TooManyPermanentOwnersAssignedToResourceAlertConfigurationProperties

Слишком много постоянных владельцев назначены на конфигурационные свойства оповещения ресурсов.

TooManyPermanentOwnersAssignedToResourceAlertIncidentProperties

Слишком много постоянных владельцев, назначенных для оповещения о ресурсах, объекты инцидента.

Alert

Оповещение.

Имя Тип Описание
id

string

Полный идентификатор ресурса для ресурса. Пример - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Имя ресурса

properties.alertConfiguration

AlertConfiguration

Конфигурация оповещения.

properties.alertDefinition

AlertDefinition

Определение оповещения.

properties.alertIncidents

AlertIncident[]

Инциденты оповещений.

properties.incidentCount

integer (int32)

Количество созданных инцидентов оповещения.

properties.isActive

boolean

False по умолчанию; Значение true, если оповещение активно.

properties.lastModifiedDateTime

string (date-time)

Дата обновления конфигурации оповещения или создание новых инцидентов.

properties.lastScannedDateTime

string (date-time)

Дата последнего сканирования оповещения.

properties.scope

string

Область оповещения.

systemData

systemData

Azure Resource Manager метаданные, содержащие информацию createdBy и modifiedBy.

type

string

Тип ресурса. Например, «Майкрософт. Compute/virtualMachines» или «Майкрософт. Аккаунты хранения/хранения»

AlertConfiguration

Конфигурация оповещений.

Имя Тип Описание
id

string

Полный идентификатор ресурса для ресурса. Пример - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Имя ресурса

properties AlertConfigurationProperties:

Свойства конфигурации оповещения.

systemData

systemData

Azure Resource Manager метаданные, содержащие информацию createdBy и modifiedBy.

type

string

Тип ресурса. Например, «Майкрософт. Compute/virtualMachines» или «Майкрософт. Аккаунты хранения/хранения»

AlertDefinition

Определение оповещений

Имя Тип Описание
id

string

Полный идентификатор ресурса для ресурса. Пример - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Имя ресурса

properties.description

string

Описание оповещения.

properties.displayName

string

Отображаемое имя оповещения.

properties.howToPrevent

string

Способы предотвращения оповещения.

properties.isConfigurable

boolean

Значение True, если конфигурация оповещения может быть настроена; False, в противном случае.

properties.isRemediatable

boolean

Значение true, если оповещение может быть исправлено; False, в противном случае.

properties.mitigationSteps

string

Методы для устранения предупреждения.

properties.scope

string

Область оповещения.

properties.securityImpact

string

Влияние на безопасность оповещения.

properties.severityLevel

SeverityLevel

Уровень серьезности оповещения.

systemData

systemData

Azure Resource Manager метаданные, содержащие информацию createdBy и modifiedBy.

type

string

Тип ресурса. Например, «Майкрософт. Compute/virtualMachines» или «Майкрософт. Аккаунты хранения/хранения»

AlertIncident

Инцидент оповещений

Имя Тип Описание
id

string

Полный идентификатор ресурса для ресурса. Пример - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Имя ресурса

properties AlertIncidentProperties:

Оповестить объекты происшествия.

systemData

systemData

Azure Resource Manager метаданные, содержащие информацию createdBy и modifiedBy.

type

string

Тип ресурса. Например, «Майкрософт. Compute/virtualMachines» или «Майкрософт. Аккаунты хранения/хранения»

AlertListResult

Реакция на операцию «Список оповещений».

Имя Тип Описание
nextLink

string (uri)

Ссылка на следующую страницу элементов

value

Alert[]

Элементы оповещения на этой странице

AzureRolesAssignedOutsidePimAlertConfigurationProperties

Роли Azure присваивали внешние свойства конфигурации PIM-оповещений.

Имя Тип Описание
alertConfigurationType string:

AzureRolesAssignedOutsidePimAlertConfiguration

Тип конфигурации оповещения.

alertDefinition

AlertDefinition

Определение оповещения.

alertDefinitionId

string

Идентификатор определения оповещения.

isEnabled

boolean

Значение True, если оповещение включено, false отключит сканирование для конкретного оповещения.

scope

string

Область оповещения.

AzureRolesAssignedOutsidePimAlertIncidentProperties

Azure roles назначают свойства инцидентов вне PIM alert.

Имя Тип Описание
alertIncidentType string:

AzureRolesAssignedOutsidePimAlertIncident

Тип инцидента оповещения.

assigneeDisplayName

string

Имя отображения правообладателя.

assigneeId

string

Идентификатор правообладателя.

assigneeUserPrincipalName

string

Имя пользователя главного пользователя правообладателя.

assignmentActivatedDate

string (date-time)

Дата активации задания.

requestorDisplayName

string

Имя запросчика отображается.

requestorId

string

ID запросчика.

requestorUserPrincipalName

string

Имя пользователя запросчика.

roleDefinitionId

string

Идентификатор определения роли.

roleDisplayName

string

Отображаемое имя роли.

roleTemplateId

string

Идентификатор шаблона роли.

createdByType

Тип удостоверения, создавшего ресурс.

Значение Описание
User
Application
ManagedIdentity
Key

DuplicateRoleCreatedAlertConfigurationProperties

Дублирующая роль создавала конфигурацию оповещений.

Имя Тип Описание
alertConfigurationType string:

DuplicateRoleCreatedAlertConfiguration

Тип конфигурации оповещения.

alertDefinition

AlertDefinition

Определение оповещения.

alertDefinitionId

string

Идентификатор определения оповещения.

isEnabled

boolean

Значение True, если оповещение включено, false отключит сканирование для конкретного оповещения.

scope

string

Область оповещения.

DuplicateRoleCreatedAlertIncidentProperties

Дублирующая роль создала свойства инцидента оповещений.

Имя Тип Описание
alertIncidentType string:

DuplicateRoleCreatedAlertIncident

Тип инцидента оповещения.

duplicateRoles

string

Дублирующиеся роли.

reason

string

Причина инцидента.

roleName

string

Имя роли.

Microsoft.Common.CloudError

Ответ на ошибку службы.

Имя Тип Описание
error

Microsoft.Common.CloudErrorBody

Ответ на ошибку службы.

Microsoft.Common.CloudErrorBody

Ответ на ошибку службы.

Имя Тип Описание
code

string

Идентификатор ошибки. Коды являются инвариантными и предназначены для программного использования.

message

string

Сообщение, описывающее ошибку, предназначенное для отображения в пользовательском интерфейсе.

SeverityLevel

Уровень серьезности оповещения.

Значение Описание
Low

Low

Medium

Средняя

High

High

systemData

Метаданные, относящиеся к созданию и последнему изменении ресурса.

Имя Тип Описание
createdAt

string (date-time)

Метка времени создания ресурса (UTC).

createdBy

string

Удостоверение, создающее ресурс.

createdByType

createdByType

Тип удостоверения, создавшего ресурс.

lastModifiedAt

string (date-time)

Временная метка последнего изменения ресурса (UTC)

lastModifiedBy

string

Идентификатор, который последний раз изменил ресурс.

lastModifiedByType

createdByType

Тип удостоверения, который последний раз изменил ресурс.

TooManyOwnersAssignedToResourceAlertConfigurationProperties

Слишком много владельцев назначены на свойства конфигурации оповещения ресурсов.

Имя Тип Описание
alertConfigurationType string:

TooManyOwnersAssignedToResourceAlertConfiguration

Тип конфигурации оповещения.

alertDefinition

AlertDefinition

Определение оповещения.

alertDefinitionId

string

Идентификатор определения оповещения.

isEnabled

boolean

Значение True, если оповещение включено, false отключит сканирование для конкретного оповещения.

scope

string

Область оповещения.

thresholdNumberOfOwners

integer (int32)

Пороговое количество владельцев.

thresholdPercentageOfOwnersOutOfAllRoleMembers

integer (int32)

Пороговый процент владельцев среди всех членов роли.

TooManyOwnersAssignedToResourceAlertIncidentProperties

Слишком много владельцев назначены на оповещение о происшествии объектов.

Имя Тип Описание
alertIncidentType string:

TooManyOwnersAssignedToResourceAlertIncident

Тип инцидента оповещения.

assigneeName

string

Имя правообладателя.

assigneeType

string

Тип правообладателя.

TooManyPermanentOwnersAssignedToResourceAlertConfigurationProperties

Слишком много постоянных владельцев назначены на конфигурационные свойства оповещения ресурсов.

Имя Тип Описание
alertConfigurationType string:

TooManyPermanentOwnersAssignedToResourceAlertConfiguration

Тип конфигурации оповещения.

alertDefinition

AlertDefinition

Определение оповещения.

alertDefinitionId

string

Идентификатор определения оповещения.

isEnabled

boolean

Значение True, если оповещение включено, false отключит сканирование для конкретного оповещения.

scope

string

Область оповещения.

thresholdNumberOfPermanentOwners

integer (int32)

Пороговое количество постоянных владельцев.

thresholdPercentageOfPermanentOwnersOutOfAllOwners

integer (int32)

Пороговый процент постоянных владельцев среди всех владельцев.

TooManyPermanentOwnersAssignedToResourceAlertIncidentProperties

Слишком много постоянных владельцев, назначенных для оповещения о ресурсах, объекты инцидента.

Имя Тип Описание
alertIncidentType string:

TooManyPermanentOwnersAssignedToResourceAlertIncident

Тип инцидента оповещения.

assigneeName

string

Имя правообладателя.

assigneeType

string

Тип правообладателя.